none
SCOM SDK dlls built with Toolset 15.0 needed RRS feed

  • Question

  • Hi,

            I have an application that uses the SCOM SDK dlls like

    microsoft.enterprisemanagement.core.dll

    Microsoft.EnterpriseManagement.OperationsManager.dll

    Microsoft.EnterpriseManagement.Runtime.dll

    But we recently migrated our application to latest VS 2017 and so the entire code base and related libraries were built in the latest toolset 15.0.

    Now when i launch the application, i get the standard windows "module could not be loaded, specified module not found" 

    error.

    I understand that all the dependent dlls also has to be built with toolset 15.0.

    But how do we get these microsoft dlls built with toolset 15.0 ?

    I see through dependency walker that these dlls still link to VC++ redist 10, whereas the entire code is built with toolset 15 and links to VC++ residt 17.

    How do i get these dlls built with toolset 15 ??

    Wednesday, January 9, 2019 10:26 AM